<?php
//if(! defined ('BASEPATH')) exit ('No direct script access allowed');


//si no existe la funcion ... la creamos FORMATO DE NUMERO
if (!function_exists('formato_numero')) {
	function formato_numero($numero)
	{
		$numeroresult = number_format($numero, 2, ',', '.');
		return $numeroresult;
	}
}

//si no existe la funcion ... la creamos FORMATO TEXTO UPPERCASE
if (!function_exists('formato_uppercase')) {
	function formato_uppercase($texto)
	{
		$result = strtoupper(trim($texto));
		return $result;
	}
}

//si no existe la funcion ... la creamos FORMATO TEXTO LOWERCASE
if (!function_exists('formato_lowercase')) {
	function formato_lowercase($texto)
	{
		$result = strtolower(trim($texto));
		return $result;
	}
}

//si no existe la funcion ... la creamos FORMATO TEXTO CAPITALIZE
if (!function_exists('formato_capitalize')) {
	function formato_capitalize($texto)
	{
		$result = ucwords(strtolower(trim($texto)));
		return $result;
	}
}

//Formato de fecha dia-mes-año 00-00-0000
if (!function_exists('formato_fecha')) {
	function formato_fecha($fecha)
	{
		$formato = 'Y-m-d H:i:s';
		$fechaC = DateTime::createFromFormat($formato, $fecha);
		$fecharesult = $fechaC->format('d-m-Y H:i:s');
		return $fecharesult;
	}
}

//Formato de fecha dia-mes-año 00-00-0000
if (!function_exists('formato_fecha2')) {
	function formato_fecha2($fecha)
	{
		$formato = 'Y-m-d H:i:s';
		$fechaC = DateTime::createFromFormat($formato, $fecha);
		$fecharesult = $fechaC->format('d-m-Y');
		return $fecharesult;
	}
}

function cuenta_exterior()
{
	echo 'Banco Exterior Cta. corriente 01150028571003618424 EPS COLOR & IMAGEN, C.A. J-40289288-8  epscimagen@gmail.com';
}
function pie_epscolor()
{
	echo 'Calle Madariaga C.C. Plaza Paez piso oficina (PO) local 5, Urb. El Paraiso. Caracas. </br>';
	echo '02124287620 04143326009 epscolor@outlook.com </br>';
	echo 'www.epscolor.com.ve  - Redes: @epscolor';
}

//Administrador readonly_eps
if (!function_exists('readonly_eps')) {
	function readonly_eps($item1)
	{
		if ($item1 != 'ADMINISTRADOR') {
			$readonly = 'readonly';
		} else { $readonly = ''; }
		
		return $readonly;
	}
}

//Administrador Contabilidad d_none_eps
if (!function_exists('d_none_eps')) {
	function d_none_eps($item1)
	{
		if ($item1 != 'SUPERVISOR') {
			$respuesta = 'd-none';
		} else { $respuesta = ''; }
		
		return $respuesta;
	}
}


if (!function_exists('check_permisos')) {
	function check_permisos($permisos_modulos, $url) {

		
                  
      
         if (isset($permisos_modulos)) {
         	$existe=false;
            foreach ($permisos_modulos as $permisosmodulos_item) {
            	if (($permisosmodulos_item->url === $url) && ($permisosmodulos_item->permisos ==='1')) {
              		$existe = true;
              		break;
            	} 
            }
            if($existe) {echo 'd-block';} else {echo'd-none';};
            
         }


       /*  $perfil = array("300","100");
$perfil_permitidos = array("100","300", "400");
$existe= false;
foreach ($perfil as $value) {
    if (in_array($value, $perfil_permitidos)) {
       //
        $existe = true;
        break;
    } 
}
if($existe) redirect(base_url()."bienvenidos");
else redirect(base_url()."error403");*/


                  
               
	}
}
